Subject: Cygwin Python Distribution GPL Licensing Issue?
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Cc: "Clark C. Evans" <[email-masked]>, Tim Peters <[email-masked]>
Date: Sat, 21 Apr 2001 07:48:33 -0400

DJ,

I need your deep understanding of the GPL.  Please see the attached.
What is your assessment of the perceived licensing issue.  Am I
violating the GPL by distributing Cygwin Python?

Of course, others are welcome to share their opinions too.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

Subject: RE: [Python-Dev] Re: Cygwin Python Distribution (was ANNOUNCE: Python 2.1 final release)
From: "Tim Peters" <[email-masked]>
To: "Jason Tishler" <[email-masked]>, "Python-Dev" <[email-masked]>
Date: Fri, 20 Apr 2001 21:32:05 -0400

[Clark C. Evans]
> This is interesting.  From what I understand, if you link
> against cygwin.dll, the software must be released under
> the GPL.  Thus, is the licensing debate over?  Do you
> have the right to re-license python under the GPL? Or am
> I missing something fundmental here?

[Jason Tishler]
> Clark brings up a valid point.  Did I screw up from a licensing point
> of view?
>
> I found the following on the Python web site:
>
>   However, we expect that Python 2.0 and later versions, released
>   by BeOpen PythonLabs, will be released under a GPL-compatible
>   license.

According to CNRI's and BeOpen's lawyers, it was; according to the FSF's Eben
Moglen, it was not.

> IANAL,

Ditto, and I'm worn out trying to divine the FSF's position.  Since you're in
no danger of violating *our* license, I'm afraid we're the wrong people to
ask.  If you can get a straight answer out of the FSF, more power to you.

> any guidance regarding this matter would be greatly appreciated.

In this specific case, you may be able to cut it short:

    http://www.cygwin.com/licensing.html

According to that, they use the GPL, but ammend it according to GPL section
10:

    In accordance with section 10 of the GPL, Cygnus permits
    programs whose sources are distributed under a license that
    complies with the Open Source definition to be linked with
    libcygwin.a without libcygwin.a itself causing the resulting
    program to be covered by the GNU GPL.

    This means that you can port an Open Source(tm) application
    to cygwin, and distribute that executable as if it didn't
    include a copy of libcygwin.a linked into it. Note that this
    does not apply to the cygwin DLL itself. If you distribute a
    (possibly modified) version of the DLL you must adhere to the
    terms of the GPL, i.e., you must provide sources for the cygwin
    DLL.

There's no controversy over whether all Python licenses to date are Open
Source -- they are.  There's also no problem from the POV of the *Python*
license if you want to relicense Cygwin Python under the GPL.  Fine by us!
The only relevant party with a complaint against you *may* be the FSF.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple